if (this.actor.uuid == this.effect.sourceActor.uuid)
{
	return;
}

if (this.actor.has("À Sang Froid") && !this.actor.hasSystemEffect("nausea")) {
  let test = await this.actor.setupSkill(game.i18n.localize("NAME.Résistance"), {appendTitle : `- ${this.effect.name}`})
await test.roll();
if (test.failed)
{

  let myRoll = await new Roll("1d10").roll({allowInteractive : false});
  let duration = myRoll.total
  this.actor.addSystemEffect("nausea");
  this.script.scriptMessage(`Symptome Nausée ajouté, durée : ${duration} heures`);
}
}
return false;